Subject: Re: [ipwave] About OCB patch for ath10k driver on linux

From: Paul Wouters <[email-masked]>
Date: Thu, 28 May 2020 09:40:58 -0400

Ohhhh 

I didn’t realize the acronyms referred to something completely different.

Thanks for pointing that out. It’s good to know there is no issue. Sorry about the noise.

Paul

Sent from my iPhone

> On May 28, 2020, at 00:53, Dick Roy <[email-masked]> wrote:
> 
> The OCB IPR you are referencing is Offset Codebook Mode having NOTHING to do
> with Outside the Context of a BSS (OCB).  I will repeat what I said earlier;
> there is NO (valid) IPR on the 802.11 OCB mode of operation.
> 
> RR
> 
> -----Original Message-----
> From: its [mailto:[email-masked]] On Behalf Of Paul Wouters
> Sent: Wednesday, May 27, 2020 6:34 PM
> To: Alexandre Petrescu
> Cc: [email-masked]
> Subject: Re: [ipwave] About OCB patch for ath10k driver on linux
> 
>> On Wed, 27 May 2020, Alexandre Petrescu wrote:
>> 
>>> Le 26/05/2020 à 18:40, Paul Wouters a écrit :
>>> Not it is not the code licence I’m worried about but the IPR claims on
>>> OCB.
>> 
>> Do you think the OCB mode of 802.11 is IPR'ed?  Where can I search the 
>> claims?
> 
> It is the other way around. There is IPR on OCB, and for _some uses_
> there are royalty free licenses. For most use cases, AFAIK, there is
> no such license.
> 
> We have some IPR related claims at IETF here:
> 
> 
> https://datatracker.ietf.org/ipr/search/?submit=draft&id=draft-irtf-cfrg-ocb
> 
> And wikipedia lists:
> 
>    https://en.wikipedia.org/wiki/OCB_mode
> 
>    By January 2013, the author has granted a free license for any open
>    source license certified by the Open Source Initiative.[8]
> 
> The original site with license seems to have vanished:
> 
>    https://web.cs.ucdavis.edu/~rogaway/ocb/license.htm
> 
> 
> So yes, I think OCB in proprietary implementation of 802.11 would
> require a non-free license, and would therefor not be suitable for
> an IETF standard.
> 
> Paul
> 
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its